Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Mike Kupfer <[email-masked]>
Date: Wed, 04 Jul 2018 16:36:59 -0700

Mike Kupfer wrote:

> With (setq scroll-bar-adjust-thumb-portion t):
> 
>   If I go to the bottom of my ~/.profile and start clicking on the
>   up-stepper, the text will scroll, but the amount it moves varies from
>   0 to 2 lines.  (I expect it to scroll 1 line per click.)
> 
> With (setq scroll-bar-adjust-thumb-portion nil):
> 
>   If I go to the bottom of my ~/.profile using M->, the last line of the
>   file is a couple lines from the bottom of the window.  If I click once
>   on the up-stepper, I expect the last line to move closer to the bottom
>   of the window.  Instead, it jumps to the top of the window.
> 
> If I have time today, I'll try building Emacs 26 with GTK to see if it
> behaves any better.

I'm afraid the emacs-26 branch behaves the same as Emacs 25.

mike